Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sleepycat.persist.model
Enum DeleteAction

    java.lang.Object
      java.lang.Enum<DeleteAction>
          com.sleepycat.persist.model.DeleteAction

All Implemented Interfaces:
  Serializable, Comparable<DeleteAction>

    public enum DeleteAction

extends Enum<DeleteAction>

Specifies the action to take when a related entity is deleted having a primary key value that exists as a secondary key value for this entity. This can be specified using a `SecondaryKey.onRelatedEntityDelete()` annotation.

Author:
  Mark Hayes

Enum Constant Summary
`ABORT` The default action, `ABORT`, means that a `DatabaseException` is thrown in order to abort the current transaction.
`CASCADE` If `CASCADE` is specified, then this entity will be deleted also, which could in turn trigger further deletions, causing a cascading effect.
`NULLIFY` If `NULLIFY` is specified, then the secondary key in this entity is set to null and this entity is updated.

Method Summary
`static DeleteAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DeleteAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ABORT

    public static final DeleteAction ABORT

  The default action, `ABORT`, means that a `DatabaseException` is thrown in order to abort the current transaction.

### CASCADE

    public static final DeleteAction CASCADE

  If `CASCADE` is specified, then this entity will be deleted also, which could in turn trigger further deletions, causing a cascading effect.

### NULLIFY

    public static final DeleteAction NULLIFY

  If `NULLIFY` is specified, then the secondary key in this entity is set to null and this entity is updated. For a secondary key field that has an array or collection type, the array or collection element will be removed by this action. The secondary key field must have a reference (not a primitive) type in order to specify this action.

Method Detail

### values

    public static final DeleteAction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DeleteAction c : DeleteAction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DeleteAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.